
Figure - Bug #113496
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】手势上划不停顿不能关闭正常小窗
2022-11-01 16:04 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-01

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V4.0_20221128

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0042.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

Reproducibility: Every time Fixed Version: 2022-11-15

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一个应用小窗（正常模式）

2、手势上划不停顿

3、打开一个应用小窗（Mini模式）

4、手势上划不停顿

【预期结果】

2、正常模式的小窗被关闭，在任务后台存在

4、mini小窗不被关闭，屏幕元素震动，无响应事件

【实际结果】

2、正常模式的小窗未被关闭

4、mini小窗不被关闭，无任何其他反应

History

#1 - 2022-11-01 16:26 - CD APP-王营

■ Current conclusion

待小窗提供接口，快速上滑时调用此接口。

■ My analysis（详细的分析过程）

已经同步了此问题的需求：

前提启动一个小窗显示在Launcher

快速上滑：此时小窗从桌面消失，展示Launcher桌面，但是要将这个task放入Recent的tasklist集合中。

紧接着慢速上滑：进入Recent，此时Recent没有小窗的这个卡片，但是在task任务卡片中显示刚启动的小窗应用，点击后全屏正常打开应用。

■ Next action 

待小窗提供接口后，联调此功能。
#2 - 2022-11-02 11:07 - CD APP-王营

- Assignee changed from CD APP-王营 to DL FW-张挽强

#3 - 2022-11-07 20:11 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V4.0_20221128

请更新bug当前进展和依赖

#4 - 2022-11-14 11:18 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD APP-王营

接口已经合入，麻烦luncher的同事继续跟进一下。如果还需要窗口支持，再进行沟通。感谢

#5 - 2022-11-15 09:30 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-15

- Root cause set to 编码问题

■ Current conclusion

问题已解决

■ My analysis

小窗同事修改了小窗的隐藏逻辑

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/161705

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/161568

代码已入库，请使用2022-11-15及以后的版本进行验证

#6 - 2022-11-15 09:31 - CD APP-王营

- % Done changed from 0 to 100

#7 - 2022-11-16 14:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

11.16

手势上划可以关闭正常小窗，但不会关闭mini小窗

验证通过

#8 - 2022-11-16 14:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
#9 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161568 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Swipe up to close free window1. Adapt exitRecentTasks interface change.2. Run finger up quickly to close free window.TC-RID:

1201-0205302IssueID: TS-R-BUG-113496Change-Id: I47cc70f6f5d27f6eac7d2452c1d0023c1bc1894d

#10 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161705 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jian.hao@thundersoft.com

AF:MultiWindow:Increase gesture to slide up and out freeform and increase type in exitRecentTasks1.Provide F-interface is exitFreeformForGestureUp and

increase type in exitRecentTasksChange-Id: I9a7b2677c3c165381389882cecbc6c60027e4677TC-RID: 1201-0204601IssueID: TS-R-BUG-113496

Files

mini11.png 54 KB 2022-11-01 CD TEST-方永红

正常11.png 49.3 KB 2022-11-01 CD TEST-方永红
